.flex {
  display: flex;
}

.grid {
  display: grid;
}

.grid-cols-4 {
  grid-template-columns: repeat(4, minmax(0, 1fr));
}

.grid-cols-1 {
  grid-template-columns: repeat(1, minmax(0, 1fr));
}

.items-center {
  align-items: center;
}

.gap-\[45px\] {
  gap: 45px;
}

.gap-2 {
  gap: 0.5rem;
}

.rounded-\[20px\] {
  border-radius: 20px;
}

.border {
  border-width: 1px;
}

.border-gray-200 {
  --tw-border-opacity: 1;
  border-color: rgb(229 231 235 / var(--tw-border-opacity));
}

.p-\[50px\] {
  padding: 50px;
}

.text-center {
  text-align: center;
}

.text-\[12px\] {
  font-size: 12px;
}
.text-\[14px\] {
  font-size: 14px;
}
.font-medium {
  font-weight: 500;
}
.font-semibold{
  font-weight: 600;
}
.cursor-pointer{
  cursor: pointer;
}
*,
::before,
::after {
  box-sizing: border-box;
  /* 1 */
  border-width: 0;
  /* 2 */
  border-style: solid;
  /* 2 */
  border-color: #e5e7eb;
  /* 2 */
}

::before,
::after {
  --tw-content: '';
}

a {
  color: inherit;
  text-decoration: inherit;
}

.hover\:border-main-testter-blue:hover {
  --tw-border-opacity: 1;
  border-color: rgb(87 17 242 / var(--tw-border-opacity));
}

.hover\:text-main-testter-blue:hover {
  --tw-text-opacity: 1;
  color: rgb(87 17 242 / var(--tw-text-opacity));
}

@media (min-width: 640px) {
  .sm\:grid-cols-2 {
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }
}

@media (min-width: 768px) {
  .md\:grid-cols-4 {
    grid-template-columns: repeat(4, minmax(0, 1fr));
  }
}

@media (min-width: 1024px) {
  .lg\:grid-cols-4 {
    grid-template-columns: repeat(4, minmax(0, 1fr));
  }
}